Subject: [sup-talk] Unit tests

From: [email-masked] (Ismo Puustinen)
Date: Wed, 12 Dec 2007 22:51:11 +0200

Hello,

I would like to contribute to Sup development by writing some unit 
tests. In addition to the normal benefits (refactoring, regression 
catching, documentation) the tests might help the Sup community 
to report bugs: a backtrace isn't as helpful as a unit test that 
deterministically leads to a failed assert or a crash. :-) 

I wrote the first test (patch attached) to test the message.rb 
file. The tests are run by simply saying "rake test" in the Sup 
source code root directory. If you feel that unit tests might 
prove useful, I'll be happy to write some more of them. 

-- 
Ismo Puustinen <ismo at iki.fi>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: unit_test.diff
Type: application/octet-stream
Size: 12417 bytes
Desc: not available
Url : http://rubyforge.org/pipermail/sup-talk/attachments/20071212/8dd49550/attachment.obj